Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-04-2012 19:22:15

BrunoL
Membre
Distrib. : 6.0.4
Noyau : 2.6.32-5-amd64
(G)UI : Gnome 2.30.2
Inscription : 26-02-2012

aptitude update : erreur de pgp

Bonjour,

Suite à divers petit pb j'ai réinstallé ma squeeze en gardant mon /home

Après quoi aptitude update me retourne :
W: Erreur de GPG : http://debian.mirror.inra.fr squeeze Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AED4B06F473041FA
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://debian.mirror.inra.fr squeeze-updates Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AED4B06F473041FA


Il semble que cela soit mis automatiquement à l'install, que faire pour faire actualiser ces keys ?

Merci.

Hors ligne

#2 05-04-2012 20:28:52

BrunoL
Membre
Distrib. : 6.0.4
Noyau : 2.6.32-5-amd64
(G)UI : Gnome 2.30.2
Inscription : 26-02-2012

Re : aptitude update : erreur de pgp

J'ai pas avancé mais voici quelques précision sur le pb rencontré qui pourrait aider les connaisseurs.

Sur aptitude update j'obtiens (je prends qu'une clé) :
W: Erreur de GPG : http://backports.debian.org squeeze-backports Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AED4B06F473041FA

Je nettoie :
# apt-key del AED4B06F473041FA
OK


Je récupère :
# gpg --keyserver hkp://subkeys.pgp.net --recv-key AED4B06F473041FA
gpg: requête de la clé 473041FA du serveur hkp subkeys.pgp.net
gpg: clé 473041FA: « Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org> » n'a pas changé
gpg:        Quantité totale traitée: 1
gpg:                      inchangée: 1


Et j'applique :
# gpg -a --export AED4B06F473041FA |apt-key add -


En obtenant :
gpg: [don't know]: invalid packet (ctb=01)
gpg: keydb_get_keyblock failed: eof
gpg: [don't know]: invalid packet (ctb=01)
gpg: keydb_search failed: paquet invalide
gpg: [don't know]: invalid packet (ctb=01)
[...]
gpg: keydb_search failed: paquet invalide
gpg: [don't know]: invalid packet (ctb=01)
gpg: keydb_search failed: paquet invalide


Une idée ?

Merci.

Hors ligne

#3 07-04-2012 10:05:11

BrunoL
Membre
Distrib. : 6.0.4
Noyau : 2.6.32-5-amd64
(G)UI : Gnome 2.30.2
Inscription : 26-02-2012

Re : aptitude update : erreur de pgp

Je progresse, enfin je crois ... j'aimerai éviter une nouvelle installation hmm

Ce n'est pas un problème de clé mais plutôt de configuration apt.

Après avoir beaucoup merdé réfléchi je constate que :
# gpg --list-keys
/root/.gnupg/pubring.gpg
------------------------
pub   4096R/473041FA 2010-08-27 [expire: 2018-03-05]
uid                  Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org>

pub   4096R/06C4AE2A 2010-11-20 [expire: 2012-11-14]
uid                  Debian Mozilla team APT archive <pkg-mozilla-maintainers@lists.alioth.debian.org>


Donc les clés sont bien là. pourquoi ce message à l'update :
W: Erreur de GPG : http://debian.mirror.inra.fr squeeze-proposed-updates Release : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AED4B06F473041FA

ou vu différemment pourquoi apt-key fingerprint qui donne :
# apt-key fingerprint
/etc/apt/trusted.gpg
--------------------
pub   1024D/F42584E6 2008-04-06 [expire: 2012-05-15]
    Empreinte de la clé = 7F5A 4445 4C72 4A65 CBCD  4FB1 4D27 0D06 F425 84E6
pub   4096R/55BE302B 2009-01-27 [expire: 2012-12-31]
    Empreinte de la clé = 150C 8614 919D 8446 E01E  83AF 9AA3 8DCD 55BE 302B
pub   2048R/6D849617 2009-01-24 [expire: 2013-01-23]
    Empreinte de la clé = F6CF DE30 6133 3CE2 A43F  DAF0 DFD9 9330 6D84 9617
pub   4096R/B98321F9 2010-08-07 [expire: 2017-08-05]
    Empreinte de la clé = 0E4E DE2C 7F3E 1FC0 D033  800E 6448 1591 B983 21F9
pub   4096R/473041FA 2010-08-27 [expire: 2018-03-05]
    Empreinte de la clé = 9FED 2BCB DCD2 9CDF 7626  78CB AED4 B06F 4730 41FA
pub   4096R/06C4AE2A 2010-11-20 [expire: 2012-11-14]
    Empreinte de la clé = 85F0 6FBC 75E0 67C3 F305  C3C9 85A3 D265 06C4 AE2A


quel trousseau utilise aptitude ?

Merci.

Dernière modification par BrunoL (07-04-2012 10:11:27)

Hors ligne

Pied de page des forums